## org.gnu.gdk
Class PropMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.PropMode

public class PropMode
extends org.gnu.glib.Enum

Field Summary
`static PropMode` `APPEND`
`static PropMode` `PREPEND`
`static PropMode` `REPLACE`

Method Summary
`PropMode` `and(PropMode other)`
`static PropMode` `intern(int value)`
`PropMode` `or(PropMode other)`
`boolean` `test(PropMode other)`
`PropMode` `xor(PropMode other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPLACE

    public static final PropMode REPLACE

### PREPEND

    public static final PropMode PREPEND

### APPEND

    public static final PropMode APPEND

Method Detail

### intern

    public static PropMode intern(int value)

### or

    public PropMode or(PropMode other)

### and

    public PropMode and(PropMode other)

### xor

    public PropMode xor(PropMode other)

### test

    public boolean test(PropMode other)